Bug 429038 - gdal not linked to correct proj4 library?
gdal not linked to correct proj4 library?
Product: Fedora
Classification: Fedora
Component: gdal (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Shawn McCann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-16 17:44 EST by Daniel Lipsitt
Modified: 2008-03-27 18:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 576722 (view as bug list)
Last Closed: 2008-03-27 18:46:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Lipsitt 2008-01-16 17:44:26 EST
Description of problem:

ogr2ogr -f gml -t_srs 'EPSG:4326' out.gml in.shp

gives this error:

ERROR 6: Unable to load PROJ.4 library (libproj.so), creation of
OGRCoordinateTransformation failed.
Failed to create coordinate transformation between the
following coordinate systems.  This may be because they
are not transformable, or because projection services
(PROJ.4 DLL/.so) could not be loaded.

Version-Release number of selected component (if applicable):


Running 'ln -s /usr/lib/libproj.so.0 /usr/lib/libproj.so' fixes the problem. I'm not sure if this is proj or 
gdal's fault.
Comment 1 Balint Cristian 2008-02-12 04:13:43 EST
reasigned to mccann0011@hotmail.com  the new proj maintainer.
Comment 2 Balint Cristian 2008-03-27 18:46:07 EDT
now should be OK for F9 and F8

Note You need to log in before you can comment on or make changes to this bug.